@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  color: white;
}

body {
  height: 100vh;
  display: grid;
  place-items: center;
  background: #111111;
}

.container {
  background: #ffffff1e;
  width: 350px;
  display: flex;
  flex-wrap: wrap;
  padding: 10px;
  justify-content: center;
  align-items: safe;
  border-radius: 10px;

  h1 {
    color: #ff9000;
  }
  .hint{
    width: 100%;
    text-align: center;
  }
  .guess{
    font-weight: bold;
    span{
      font-weight: normal;
    }
  }

}

.container > .word-space {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 3px;
  .word {
    width: 58px;
    height: 58px;
    background: #ff9000;
    border-radius: 5px;
    display: grid;
    place-items: center;
    font-size: 25px;
  }
}

.virtual-keyboard {
  margin-top: 20px;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5px;
  width: 100%;

}

.virtual-keyboard .row {
  display: flex;
  justify-content: center;
  gap: 5px;
  width: 100%;
}

.virtual-keyboard button {
  width: 25px;
  height: 25px;
  background-color: #ff9000;
  border: none;
  border-radius: 5px;
  font-size: 18px;
  color: white;
  cursor: pointer;
  text-transform: uppercase;
}

.virtual-keyboard button:hover {
  background-color: #e07b00;
}

@media screen and (max-width: 768px) {
  .virtual-keyboard {
    display: flex;
  }
}

@media screen and (max-width: 480px) {
  .virtual-keyboard button {
    width: 35px;
    height: 35px;
    font-size: 16px;
  }
}
